import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'

export default defineConfig({
  plugins: [vue()],
  build: {
    outDir: '../assets',
    emptyOutDir: true,
    rollupOptions: {
      external: ['@wailsio/runtime']
    }
  },
  server: {
    port: 9245,
    strictPort: true
  },
  base: '/'  // 使用绝对路径，确保资源能正确加载
})

